import {Box} from "@mui/material";
import { memo } from "react";
import ProjectUsersColumn from "./ProjectUsersColumn/ProjectUsersColumn";


const projectRoles = [{value: 'admin', text: 'Админы'}, {value: 'user', text: 'Юзеры'}, {value: 'watcher', text: 'Наблюдатели'}]
const style = {
  display: 'flex',
  gap: '150px', 
  width: '100%',
  marginTop: '20px',
  justifyContent: 'space-evenly'
}


const ProjectUsersColumnsWrapper = ({members}) => {
    return (
        <Box sx={style} justifyContent={'space-between'}>
            {projectRoles.map((role, i)=>{
              return(
                <ProjectUsersColumn
                  key={i}
                  role={role}
                  members={members}
                />
              )
            })}
        </Box>
    );
};

export default memo(ProjectUsersColumnsWrapper);